Bug 141857 - "Libreoffice community" image is invisible on Gtk dark theme
Summary: "Libreoffice community" image is invisible on Gtk dark theme
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.1.2.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.2.0 target:7.1.4
Keywords:
Depends on:
Blocks: UI-Theming
  Show dependency treegraph
 
Reported: 2021-04-23 18:22 UTC by Paul Kepinski
Modified: 2021-05-04 19:38 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Invisible LO image (363.30 KB, image/png)
2021-04-23 18:23 UTC, Paul Kepinski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Kepinski 2021-04-23 18:22:03 UTC
Description:
The "Libreoffice community" image is invisible using a Gtk dark theme (I'm using Yaru) on the "home" app with all quick access to recent opened files.

Steps to Reproduce:
1. Switch to a Gtk dark variant
2. Open LO (the "home" app with all quick access to recent opened files)
3. Look at the bottom of the left column

Actual Results:
The LO logo, "office" and "community" text is invisible due to white text color on white background. "Libre" text is green and so not affected.

Expected Results:
Both logo and text should be visible on dark theme.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.2.2 / LibreOffice Community
Build ID: 10(Build:2)
CPU threads: 8; OS: Linux 5.11; UI render: default; VCL: gtk3
Locale: fr-FR (fr_FR.UTF-8); UI: fr-FR
Ubuntu package version: 1:7.1.2~rc2-0ubuntu2
Calc: threaded
Comment 1 Paul Kepinski 2021-04-23 18:23:05 UTC
Created attachment 171374 [details]
Invisible LO image
Comment 2 Heiko Tietze 2021-04-29 13:42:34 UTC
You desktop environment is Qt-based? We have dark or bright brand images depending on the default application background. And apparently you run LibreOffice in dark while the default is bright.
Comment 3 Paul Kepinski 2021-04-29 16:43:16 UTC
I'm using Ubuntu 21.04 with Gnome (Gtk so).
Also I'm using Yaru theme, and there is a problem with the dark variant (also tested Adwaita dark: same problem).
Comment 4 QA Administrators 2021-04-30 04:02:24 UTC Comment hidden (obsolete)
Comment 5 Heiko Tietze 2021-05-03 09:01:34 UTC
Installed Ubuntu in a VM and even the inbuilt dark mode doesn't work. The about box uses the image for bright themes. Any idea, Caolan, what's wrong with Ubuntu?
Comment 6 Commit Notification 2021-05-04 14:03:36 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8db72947d7bd6eda08b95a13b63a5f0503564639

Related: tdf#141857 send style-updated after app settings are updated

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Heiko Tietze 2021-05-04 14:16:41 UTC
Caolán, is this also a fix for bug 141733?
Comment 8 Caolán McNamara 2021-05-04 15:02:56 UTC
I doubt it, what's pushed so far only affects updates done directly after toggling dark/light mode. The next thing to be pushed will only affect the image in the sidebar so I expect bug 141733 to remain unchanged. That tabbar is one of the last things not using "real" gtk widgets in the gtk mode UI, finishing that might help there.
Comment 9 Commit Notification 2021-05-04 15:18:23 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/84b4bca314ded015911ab986e8f999518616b248

Resolves: tdf#141857 update background to current theme

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Caolán McNamara 2021-05-04 15:20:24 UTC
looks ok in main, backports to 7-1 in gerrit
Comment 11 Commit Notification 2021-05-04 19:37:02 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/c0de03044e2a4db8731fdbd128ceca81468d4f6a

Related: tdf#141857 send style-updated after app settings are updated

It will be available in 7.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2021-05-04 19:38:13 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/0c866752bd1abc19689db22c782a8b62ace24fa3

Resolves: tdf#141857 update background to current theme

It will be available in 7.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.